Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.ListType

    java.lang.Object
      java.lang.Enum<Conversation.ListType>
          com.skype.api.Conversation.ListType

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Conversation.ListType>

Enclosing class:
  Conversation

    public static enum Conversation.ListType

extends java.lang.Enum<Conversation.ListType>
implements EnumConverting

Enum Constant Summary
`ALL_CONVERSATIONS` bookmarked or in_inbox or live or with_meta_info or activity in last 30 days
`BOOKMARKED_CONVERSATIONS` is_bookmarked is set
`INBOX_CONVERSATIONS` only last 6 months conversations are kept there
`LIVE_CONVERSATIONS` local_livestatus is different from NONE
`REALLY_ALL_CONVERSATIONS` all conversations, without any of the limits of ALL_CONVERSATIONS

Field Summary
`static int` | `ALL_CONVERSATIONS_VALUE`
`static int` | `BOOKMARKED_CONVERSATIONS_VALUE`
`static int` | `INBOX_CONVERSATIONS_VALUE`
`static int` | `LIVE_CONVERSATIONS_VALUE`
`static int` | `REALLY_ALL_CONVERSATIONS_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Conversation.ListType` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Conversation.ListType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.ListType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_CONVERSATIONS

    public static final Conversation.ListType ALL_CONVERSATIONS

  bookmarked or in_inbox or live or with_meta_info or activity in last 30 days

### INBOX_CONVERSATIONS

    public static final Conversation.ListType INBOX_CONVERSATIONS

  only last 6 months conversations are kept there

### BOOKMARKED_CONVERSATIONS

    public static final Conversation.ListType BOOKMARKED_CONVERSATIONS

  is_bookmarked is set

### LIVE_CONVERSATIONS

    public static final Conversation.ListType LIVE_CONVERSATIONS

  local_livestatus is different from NONE

### REALLY_ALL_CONVERSATIONS

    public static final Conversation.ListType REALLY_ALL_CONVERSATIONS

  all conversations, without any of the limits of ALL_CONVERSATIONS

Field Detail

### ALL_CONVERSATIONS_VALUE

    public static final int ALL_CONVERSATIONS_VALUE

See Also:
  Constant Field Values

### INBOX_CONVERSATIONS_VALUE

    public static final int INBOX_CONVERSATIONS_VALUE

See Also:
  Constant Field Values

### BOOKMARKED_CONVERSATIONS_VALUE

    public static final int BOOKMARKED_CONVERSATIONS_VALUE

See Also:
  Constant Field Values

### LIVE_CONVERSATIONS_VALUE

    public static final int LIVE_CONVERSATIONS_VALUE

See Also:
  Constant Field Values

### REALLY_ALL_CONVERSATIONS_VALUE

    public static final int REALLY_ALL_CONVERSATIONS_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Conversation.ListType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.ListType c : Conversation.ListType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.ListType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Conversation.ListType get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.